<template>
  <el-menu :router="true" :default-active="(($route.matched[0] && $route.matched[0].path === '/') || $route.path === '/home') ? '/' : $route.path">
      <h3>MKL Timetracker</h3>

      <el-menu-item index="/">
        <i class="el-icon-time"></i>
        <span>Tracker</span>
      </el-menu-item>

      <el-menu-item index="/category" disabled>
        <i class="el-icon-folder-opened"></i>
        <span>Catégorie</span>
      </el-menu-item>

      <el-sub-menu index="/settings">
        <template #title>
          <i class="el-icon-setting"></i>
          <span>Paramètres</span>
        </template>
        <el-menu-item index="/settings/app"><span>Application</span></el-menu-item>
        <el-menu-item index="/settings/user"><span>Utilisateur</span></el-menu-item>
      </el-sub-menu>
    </el-menu>
</template>

<style scoped>

  .el-menu {
   border-right: none !important;
   text-align: left;
  }

  h3  {
    text-align: center;
  }
</style>